[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# MkDir

Create a new directory.

## Declaration

Source position: systemh.inc line 1361

`procedure MkDir(`
`const s: shortstring`
`); overload; procedure MkDir(`
`const s: RawByteString`
`); overload; procedure MkDir(`
`const s: unicodestring`
`); overload;`

## Description

Mkdir creates a new directory S.

For an example, see Rmdir.

## Errors

Depending on the state of the {$I} switch, a runtime error can be generated if there is an error. In the {$I-} state, use IOResult to check for errors.

## See also

Chdir |  | Change current working directory.
Rmdir |  | Remove directory when empty.